package com.crm.manager.dao.repository;

import com.crm.rely.backend.core.pojo.table.UserEntryTable;
import com.crm.rely.backend.dao.repository.BaseRepository;
import org.springframework.data.jpa.repository.Lock;
import org.springframework.stereotype.Repository;

import javax.persistence.LockModeType;

@Repository
public interface UserEntryRepository extends BaseRepository<UserEntryTable> {

    @Lock(LockModeType.PESSIMISTIC_WRITE)
    UserEntryTable findFirstById(Long id);

    UserEntryTable getFirstById(Long id);

    @Lock(LockModeType.PESSIMISTIC_WRITE)
    UserEntryTable findFirstBySerial(String serial);

    UserEntryTable getFirstBySerial(String serial);
}
